Bug 1301981 - (CVE-2015-7581) CVE-2015-7581 rubygem-actionpack: Object leak vulnerability for wildcard controller routes in Action Pack
CVE-2015-7581 rubygem-actionpack: Object leak vulnerability for wildcard cont...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160125,repor...
: Reopened, Security
Depends On: 1301982 1301983 1306277 1306278 1306279 1306281
Blocks: 1302006
  Show dependency treegraph
 
Reported: 2016-01-26 08:24 EST by Adam Mariš
Modified: 2016-03-15 17:22 EDT (History)
36 users (show)

See Also:
Fixed In Version: rubygem-actionpack 4.2.5.1, rubygem-actionpack 4.1.14.1
Doc Type: Bug Fix
Doc Text:
A flaw was found in the Action Pack component's caching of controller references. An attacker could use this flaw to cause unbounded memory growth, potentially resulting in a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-15 17:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-26 08:24:28 EST
An object leak vulnerability for wildcard controllers in Action Pack was reported. Users that have a route that contains the string ":controller" are susceptible to objects being leaked globally which can lead to unbounded memory growth. 

External References:

https://groups.google.com/forum/#!msg/rubyonrails-security/dthJ5wL69JE/YzPnFelbFQAJ
http://weblog.rubyonrails.org/2016/1/25/Rails-5-0-0-beta1-1-4-2-5-1-4-1-14-1-3-2-22-1-and-rails-html-sanitizer-1-0-3-have-been-released/
Comment 2 Adam Mariš 2016-01-26 08:25:53 EST
Created rubygem-actionpack tracking bugs for this issue:

Affects: fedora-all [bug 1301983]
Comment 3 Adam Mariš 2016-01-26 10:24:49 EST
Acknowledgments:

Red Hat would like to thank Ruby on Rails project for reporting this issue.
Comment 7 errata-xmlrpc 2016-02-24 05:37:58 EST
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2016:0296 https://rhn.redhat.com/errata/RHSA-2016-0296.html
Comment 8 Fedora Update System 2016-02-28 03:26:09 EST
rubygem-actionpack-4.2.0-3.fc22, rubygem-activemodel-4.2.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-28 07:26:05 EST
rubygem-actionpack-4.2.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2016-03-15 17:03:45 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS

Via RHSA-2016:0454 https://rhn.redhat.com/errata/RHSA-2016-0454.html

Note You need to log in before you can comment on or make changes to this bug.